<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

/**
 * @OA\Info(
 *   version="1.0.1",
 *   title="BomberNyan API Documentation",
 *   description="API for BomberNyan",
 * )
 *
 * @OA\Server(
 *   url="/api",
 *   description="API Server"
 * )
 * 
 * @OA\Response(
 *   response="422",
 *   description="Missing field",
 *   @OA\JsonContent(
 *     @OA\Property(
 *       property="message",
 *       type="string",
 *       description="Description of the error",
 *     ),
 *     @OA\Property(
 *       property="errors",
 *       type="object",
 *       description="List of erronous fields",
 *       @OA\Property(
 *         @OA\Items(
 *           type="string",
 *           description="Description of the error"
 *         ),
 *         type="array",
 *         description="List of errors"
 *       ),
 *     ),
 *   ),
 * )
 * 
 * @OA\Response(
 *   response="401",
 *   description="Authentication error",
 *   @OA\JsonContent(
 *     @OA\Property(
 *       property="message",
 *       type="string"
 *     ),
 *   )
 * )
 * 
 * @OA\Response(
 *   response="403",
 *   description="Not Authorized",
 *   @OA\JsonContent(
 *     @OA\Property(
 *       property="message",
 *       type="string"
 *     ),
 *   )
 * )
 * 
 * @OA\Response(
 *   response="404",
 *   description="Not found",
 *   @OA\JsonContent(
 *     @OA\Property(
 *       property="message",
 *       type="string"
 *     ),
 *   )
 * )
 */
class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}
