<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * @OA\RequestBody(
 *   request="Connect",
 *   required=true,
 *   @OA\JsonContent(
 *     required={"token"},
 *     @OA\Property(
 *       property="token",
 *       type="string",
 *       format="sha256",
 *       pattern="^[a-f0-9]{64}$",
 *       description="User's SHA256 token",
 *     ),
 *   ),
 * ),
 */
class ConnectRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'token' => 'string|required|regex:/^[a-f0-9]{64}$/'
        ];
    }
}
