<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * @OA\RequestBody(
 *   request="Login",
 *   required=true,
 *   @OA\JsonContent(
 *     required={"email","password"},
 *     @OA\Property(
 *       property="email",
 *       type="string",
 *       format="email",
 *       description="Email of the user",
 *     ),
 *     @OA\Property(
 *       property="password",
 *       type="string",
 *       description="Password of the user",
 *     ),
 *   ),
 * ),
 */
class LoginRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'email' => 'required|string|email',
            'password' => 'required|string',
        ];
    }
}
